Bug 1369383 - (CVE-2016-2183, SWEET32) CVE-2016-2183 SSL/TLS: Birthday attack against 64-bit block ciphers (SWEET32)
CVE-2016-2183 SSL/TLS: Birthday attack against 64-bit block ciphers (SWEET32)
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20160824,repor...
: Security
Depends On: 1381441 1377991 1377992 1377993 1377995 1381440 1381552 1388742 1388743 1388744 1388745 1410303 1410304 1410305 1410306 1427313 1427314 1427315 1427316 1508872
Blocks: 1509003 1369388 1410614 1490666 1507692 1513244
  Show dependency treegraph
 
Reported: 2016-08-23 05:15 EDT by Adam Mariš
Modified: 2018-06-12 10:46 EDT (History)
49 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in the way the DES/3DES cipher was used as part of the TLS/SSL protocol. A man-in-the-middle attacker could use this flaw to recover some plaintext data by capturing large amounts of encrypted traffic between TLS/SSL server and client if the communication used a DES/3DES based ciphersuite.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-11-17 12:51:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2016-08-23 05:15:20 EDT
Ciphers with 64-bit block sizes used in CBC mode were found to be vulnerable to birthday attack when key renegotiation doesn't happen frequently or at all in long running connections. 3DES cipher as used in TLS protocol is vulnerable to this attack, that allows remote attacker to recover partial plaintext information (XOR of two plaintext blocks).
Comment 1 Adam Mariš 2016-08-23 05:19:05 EDT
Acknowledgments:

Name: OpenVPN
Upstream: Karthikeyan Bhargavan (Inria), Gaëtan Leurent (Inria)
Comment 2 Huzaifa S. Sidhpurwala 2016-08-24 04:51:26 EDT
Mitigation:

1.SSL/TLS configurations should prefer AES over DES. Versions of OpenSSL shipped with Red Hat Enterprise Linux 6 and 7 already do so. In the version of OpenSSL shipped with Red Hat Enterprise Linux 5, 3DES is listed below the AES-256 cipher and above the AES-128 cipher, therefore AES-256 based ciphersuite should not be disabled on the server.
2. Servers using OpenSSL, should not disable AES-128 and AES-256 ciphersuites. Versions of Apache shipped with Red Hat Enterprise Linux use the default cipher string, in which AES is preferred over DES/3DES based ciphersuites.

For JBoss Middleware, and Java mitigations, please review this knowledge base article:

   https://access.redhat.com/articles/2598471
Comment 3 Huzaifa S. Sidhpurwala 2016-08-24 04:52:37 EDT
Upstream Security fixes:

1.OpenSSL has moved 3DES ciphersuites from the HIGH category to MEDIUM in the 1.0.2 branch, and will disable it by default in the upcoming 1.1.0 release.

2. Mozilla NSS is implementing data limits for all ciphersuites:
https://bugzilla.mozilla.org/show_bug.cgi?id=1268745
Comment 4 Tomas Hoger 2016-09-20 04:35:40 EDT
(In reply to Huzaifa S. Sidhpurwala from comment #3)
> 1.OpenSSL has moved 3DES ciphersuites from the HIGH category to MEDIUM in
> the 1.0.2 branch, and will disable it by default in the upcoming 1.1.0
> release.

DES cipher suites are also being moved form HIGH to MEDIUM in openssl 1.0.1u:

https://git.openssl.org/?p=openssl.git;a=commitdiff;h=e95f5e03f6f1f8d3f6cbe4b7fa48e57b4cf8fd60
Comment 14 Tomas Hoger 2016-09-21 16:13:46 EDT
(In reply to Huzaifa S. Sidhpurwala from comment #3)
> 1.OpenSSL has moved 3DES ciphersuites from the HIGH category to MEDIUM in
> the 1.0.2 branch, and will disable it by default in the upcoming 1.1.0
> release.

These commits disable DES in 1.1.0:

https://git.openssl.org/?p=openssl.git;a=commitdiff;h=d33726b92e09605a088369d0e01c99d138c0524f
https://git.openssl.org/?p=openssl.git;a=commitdiff;h=ef28891bab7054667f2f6739f6d376c38b3ca1cc
Comment 15 errata-xmlrpc 2016-09-27 09:54:19 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2016:1940 https://rhn.redhat.com/errata/RHSA-2016-1940.html
Comment 22 Huzaifa S. Sidhpurwala 2016-10-25 02:55:34 EDT
Statement:

OpenSSL security update RHSA-2016:1940 mitigates this issue by lowering priority of DES cipher suites so they are not preferred over cipher suites using AES. For compatibility reasons, DES cipher suites remain enabled by default and included in the set of cipher suites identified by the HIGH cipher string. Future updates may move them to MEDIUM or not enable them by default.

NSS addressed this issue by implementing limits on the amount of plain text which can be encrypted by using the same key. Once the limit is reached, the keys will need to be re-negotiated manually. This change will be available in nss-3.27.

GnuTLS is not affected by this issue, since it prioritizes AES before 3DES in the cipher list.
Comment 23 Huzaifa S. Sidhpurwala 2016-10-26 01:08:45 EDT
Created nss tracking bugs for this issue:

Affects: fedora-all [bug 1388745]
Comment 24 Huzaifa S. Sidhpurwala 2016-10-26 01:09:03 EDT
Created openssl101e tracking bugs for this issue:

Affects: epel-5 [bug 1388744]
Comment 25 Huzaifa S. Sidhpurwala 2016-10-26 01:09:18 EDT
Created openssl tracking bugs for this issue:

Affects: fedora-all [bug 1388742]
Comment 26 Huzaifa S. Sidhpurwala 2016-10-26 01:09:32 EDT
Created mingw-openssl tracking bugs for this issue:

Affects: fedora-all [bug 1388743]
Comment 30 Tomas Hoger 2017-01-18 15:59:45 EST
This issue was mitigated in Oracle JDK versions 8u121, 7u131, and 6u141 by adding the 3DES_EDE_CBC to legacy algorithms (defined using the jdk.tls.legacyAlgorithms security property).  This change causes all cipher suites using this encryption algorithm to have low priority and only get used if no other non-legacy cipher suite can be negotiated.

OpenJDK 8 upstream commit:

http://hg.openjdk.java.net/jdk8u/jdk8u/jdk/rev/5d2bb853ae31
Comment 31 errata-xmlrpc 2017-01-19 08:59:34 EST
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 7
  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 5

Via RHSA-2017:0176 https://rhn.redhat.com/errata/RHSA-2017-0176.html
Comment 32 errata-xmlrpc 2017-01-19 09:01:40 EST
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 7

Via RHSA-2017:0175 https://rhn.redhat.com/errata/RHSA-2017-0175.html
Comment 33 errata-xmlrpc 2017-01-19 09:09:15 EST
This issue has been addressed in the following products:

  Oracle Java for Red Hat Enterprise Linux 5
  Oracle Java for Red Hat Enterprise Linux 6
  Oracle Java for Red Hat Enterprise Linux 7

Via RHSA-2017:0177 https://rhn.redhat.com/errata/RHSA-2017-0177.html
Comment 34 errata-xmlrpc 2017-01-20 06:05:03 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2017:0180 https://rhn.redhat.com/errata/RHSA-2017-0180.html
Comment 35 errata-xmlrpc 2017-02-13 06:18:08 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7
  Red Hat Enterprise Linux 5

Via RHSA-2017:0269 https://rhn.redhat.com/errata/RHSA-2017-0269.html
Comment 37 Tomas Hoger 2017-02-27 17:12:13 EST
This issue was addressed in IBM JDK versions 8 SR4-FP1, 7R1 SR4-FP1, 7 SR10-FP1, and 6 SR16-FP40 by disabling all TLS/SSL cipher suites using 3DES.

https://developer.ibm.com/javasdk/support/security-vulnerabilities/#Oracle_January_17_2017_CPU

This fix was achieved via a change to the jdk.tls.disabledAlgorithms security property.  For IBM JDK 7 and 8, it now includes "DESede" keyword to disable 3DES.  For IBM JDK 6, it now includes "3DES_EDE_CBC" keyword to disable 3DES.

Note that IBM originally claimed to have a fix for this issue included in versions 8 SR4, 7R1 SR4, and 7 SR10.  Those versions added "3DES_EDE_CBC" to jdk.tls.disabledAlgorithms.  However, such change did not work as expected in IBM JDK 7 and 8, and still allowed the use of 3DES cipher suites.  The same change applied to IBM JDK 6 worked correctly.  This fix was improved in -FP1 versions by adding "DESede".  "3DES_EDE_CBC" was also preserved in the jdk.tls.disabledAlgorithms.  "DESede" also disables 3DES in IBM JDK6.

If applications need to continue using 3DES cipher suites, their support can be re-enabled by removing "DESede" and/or "3DES_EDE_CBC" keywords form the jdk.tls.disabledAlgorithms security property.  The value of the properly can be changed using the following ways:

* The default value can be set via the system java.security file, located in the jre/lib/security JDK directory.

* The system property java.security.properties can be used to make JDK override setting form the global java.security file with values from a user-specified one.  More details on using this system property can be found in bug 1152789 comment 82.

* Value read from global or user/application specific java.security configuration file can be overridden by application at runtime using a call to Security.setProperty().
Comment 38 errata-xmlrpc 2017-02-28 03:19:50 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5 Supplementary

Via RHSA-2017:0337 https://rhn.redhat.com/errata/RHSA-2017-0337.html
Comment 39 errata-xmlrpc 2017-02-28 03:21:55 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary
  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2017:0336 https://rhn.redhat.com/errata/RHSA-2017-0336.html
Comment 40 errata-xmlrpc 2017-02-28 03:29:37 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary
  Red Hat Enterprise Linux 5 Supplementary

Via RHSA-2017:0338 https://rhn.redhat.com/errata/RHSA-2017-0338.html
Comment 41 errata-xmlrpc 2017-03-08 08:23:05 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6 Supplementary
  Red Hat Enterprise Linux 7 Supplementary

Via RHSA-2017:0462 https://rhn.redhat.com/errata/RHSA-2017-0462.html
Comment 47 errata-xmlrpc 2017-05-09 12:45:24 EDT
This issue has been addressed in the following products:

  Red Hat Satellite 5.6
  Red Hat Satellite 5.7

Via RHSA-2017:1216 https://access.redhat.com/errata/RHSA-2017:1216
Comment 48 errata-xmlrpc 2017-09-13 12:38:29 EDT
This issue has been addressed in the following products:

  Red Hat JBoss Core Services

Via RHSA-2017:2708 https://access.redhat.com/errata/RHSA-2017:2708
Comment 49 errata-xmlrpc 2017-09-13 12:50:11 EDT
This issue has been addressed in the following products:

  JBoss Core Services on RHEL 7

Via RHSA-2017:2709 https://access.redhat.com/errata/RHSA-2017:2709
Comment 50 errata-xmlrpc 2017-09-13 12:51:12 EDT
This issue has been addressed in the following products:

  JBoss Core Services on RHEL 6

Via RHSA-2017:2710 https://access.redhat.com/errata/RHSA-2017:2710
Comment 51 errata-xmlrpc 2017-11-02 15:07:36 EDT
This issue has been addressed in the following products:

  Red Hat JBoss Web Server

Via RHSA-2017:3114 https://access.redhat.com/errata/RHSA-2017:3114
Comment 52 errata-xmlrpc 2017-11-02 15:16:44 EDT
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Web Server 2 for RHEL 6
  Red Hat JBoss Enterprise Web Server 2 for RHEL 7

Via RHSA-2017:3113 https://access.redhat.com/errata/RHSA-2017:3113
Comment 54 errata-xmlrpc 2017-11-16 14:10:43 EST
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform

Via RHSA-2017:3239 https://access.redhat.com/errata/RHSA-2017:3239
Comment 55 errata-xmlrpc 2017-11-16 14:27:55 EST
This issue has been addressed in the following products:

  Red Hat JBoss Enterprise Application Platform 6.4 for RHEL 6
  Red Hat JBoss Enterprise Application Platform 6.4 for RHEL 7

Via RHSA-2017:3240 https://access.redhat.com/errata/RHSA-2017:3240

Note You need to log in before you can comment on or make changes to this bug.